
Redmine - Defect #27790

mercurial: error of double quotes in branch and tag names

2017-12-13 11:55 - Alexander Ryabinovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

Hello.

I have redmine 3.4.3 installation.

Redmine can`t handle mercurial branches with double quotes, it throws an error after parsing with

ActiveSupport::XmlMini.parse(xml):

hg: error during getting info: undefined method `[]' for nil:NilClass

because "xml" variable contains string like this:

<branch revision=\"138\" node=\"8a17814e772e4a41b9c2480e047dce7d9181a39e\" name=\"\"TestBranch\"\"

/>

 My solution is to replace double quotes in branch name with 

&quot;

in redminehelper.py, .patch is in attach.

Associated revisions

Revision 19765 - 2020-05-08 14:25 - Toshi MARUYAMA

scm: mercurial: escape branch and tag names (#27790)

Revision 19766 - 2020-05-08 15:08 - Toshi MARUYAMA

scm: mercurial: add double quote branch and tag name to test repository (#27790)

Revision 19768 - 2020-05-09 05:19 - Go MAEDA

Fix a RuboCop offense Layout/TrailingWhitespace due to r19766 (#27790).

History

#1 - 2020-05-09 04:39 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

- Subject changed from mercurial - fix double quotes in branch names to mercurial: error of double quotes in branch and tag names

- Status changed from New to Closed

- Target version set to 4.2.0

- Resolution set to Fixed

Fixed by r19765.

Files

redmine_redminehelper_fix.diff 968 Bytes 2017-12-13 Alexander Ryabinovskiy
